Bug 53989 - vfat filesystem not updating uid/gid on remount
Summary: vfat filesystem not updating uid/gid on remount
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-25 02:34 UTC by Mike Shaver
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Shaver 2001-09-25 02:34:22 UTC
Issuing the command
# mount -oremount,uid=500,gid=500 /win
doesn't actually cause the UID or GID to be changed:
-rwxr-xr-x    1 root     root           92 Sep 22 12:20 /win/autoexec.bat

It does, however, cause /proc/mounts and mount(8) to indicate the new
state:
/dev/hdg1 on /win type vfat (rw,uid=500,uid=500,gid=500)
(I can't explain the duplicate "uid=500" entries.)

My kernel is kernel-2.4.7-10.athlon, installed on an up2date-as-of-today
Roswell RC2 (7.1.94) system.

Comment 1 Bugzilla owner 2004-09-30 15:39:11 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.